'' =================================================================================================
''
''   File....... Rctime Decay.spin
''   Purpose.... 
''   Author..... Stilgar
''   E-mail..... 
''
'' =================================================================================================


con

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000                                          ' use 5MHz crystal
' 

  CLK_FREQ = ((_clkmode - xtal1) >> 6) * _xinfreq
  MS_001   = CLK_FREQ / 1_000
  US_001   = CLK_FREQ / 1_000_000


con

  RX1     = 31
  TX1     = 30
  SDA     = 29
  SCL     = 28
     ' rtime pin 4


con 

  #1, HOME, #8, BKSP, TAB, LF, CLREOL, CLRDN, CR, #16, CLS      ' PST formmatting control


obj

  term : "fullduplexserial"
  rc   : "RCTime3"                                                              ' get object



pub main |  rtime, r_time                                                 ' set method variable

  term.start(31, 30, %0000, 115200)
  

  term.tx(CLS)
  term.str(string("Rctime Decay", CR))

  rc.RCTIME_forever(4, 500, 1, @rtime)          ' start loading rtime with current RC value
  waitcnt(clkfreq / 1000 + cnt)                 ' allow a little time for rtime to get a value (may need to increase, or be able to decrease)
 
  term.str(string("rtime=" ))
  term.dec(rtime)
    term.str(string("     ",CR)) 
  term.str(string("rtime/1200= " ))
    term.dec(rtime/1200)
  term.str(string("     ",CR))

    r_time := (rtime)
    term.str(string("r_time-1= " )) 
   
     repeat  
      r_time := (r_time-1)    
      term.dec(r_time/1200)
      term.str(string("     ",CR))
